package com.cuit.solarenergy.base.interceptor;//package com.cuit.railway.base.interceptor;
//
//import com.alibaba.fastjson.JSONObject;
//import com.cuit.solarenergy.base.annotation.AuthToken;
//import com.cuit.solarenergy.utils.Constant;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.http.HttpStatus;
//import org.springframework.http.MediaType;
//import org.springframework.stereotype.Component;
//import org.springframework.web.method.HandlerMethod;
//import org.springframework.web.servlet.HandlerInterceptor;
//import org.springframework.web.servlet.ModelAndView;
//
//import javax.annotation.PostConstruct;
//import javax.annotation.Resource;
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpServletResponse;
//import java.io.PrintWriter;
//import java.lang.reflect.Method;
//
///**
// * 登录验证拦截器
// * @description
// * @date 2018/8/3
// */
//@Component
//@Slf4j
//public class AuthorizationInterceptor implements HandlerInterceptor {
//    /**
//     * 鉴权失败后返回的错误信息，默认为401 unauthorized
//     */
//    private String unauthorizedErrorMessage = "401 unauthorized";
//
//    /**
//     *
//     */
//    private int unauthorizedErrorCode = HttpServletResponse.SC_UNAUTHORIZED;
//
//    /**
//     * 存放登录用户模型Key的Request Key
//     */
//    public static final String REQUEST_CURRENT_KEY = "REQUEST_CURRENT_KEY";
//
//    //以下为解决非controller使用@Autowired注解注入为null问题
//
//    @Resource
//    private LoginUserService loginUserService;
//
//    public static AuthorizationInterceptor authorizationInterceptor;
//    //通过@PostConstruct实现初始化bean之前进行的操作
//
//    @PostConstruct
//    public void init() {
//        authorizationInterceptor = this;
//        authorizationInterceptor.loginUserService = this.loginUserService;
//        //初使化时将已静态化的accessTokenOcrRepository实例化
//    }
//
//    @Override
//    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
//        if (!(handler instanceof HandlerMethod)) {
//            return true;
//        }
//        HandlerMethod handlerMethod = (HandlerMethod) handler;
//        Method method = handlerMethod.getMethod();
//        // 如果打上了AuthToken注解则需要验证token
//        if (method.getAnnotation(AuthToken.class) != null || handlerMethod.getBeanType().getAnnotation(AuthToken.class) != null) {
//            String token = request.getHeader(Constant.HTTPTOKENHEADERNAME);
//            log.debug("请求传入的token是{}", token);
//            try {
//                boolean validToken = authorizationInterceptor.loginUserService.isValidToken(token);
//                if (validToken) {
//                    request.setAttribute(REQUEST_CURRENT_KEY, token);
//                    return true;
//                } else {
//                    JSONObject jsonObject = new JSONObject();
//                    PrintWriter out = null;
//                    try {
//                        response.setStatus(unauthorizedErrorCode);
//                        response.setContentType(MediaType.APPLICATION_JSON_VALUE);
//                        jsonObject.put("code", response.getStatus());
//                        //鉴权失败后返回的错误信息，默认为401 unauthorized
//                        jsonObject.put("msg", HttpStatus.UNAUTHORIZED);
//                        jsonObject.put("data", "");
//                        out = response.getWriter();
//                        out.println(jsonObject);
//                        return false;
//                    } catch (Exception e) {
//                        request.setAttribute(REQUEST_CURRENT_KEY, null);
//                        return false;
//                    } finally {
//                        if (null != out) {
//                            out.flush();
//                            out.close();
//                        }
//                    }
//                }
//            } catch (Exception e) {
//                request.setAttribute(REQUEST_CURRENT_KEY, null);
//                return false;
//            }
//        }
//        request.setAttribute(REQUEST_CURRENT_KEY, null);
//        return true;
//    }
//
//    @Override
//    public void postHandle(HttpServletRequest request, HttpServletResponse response, Object handler, ModelAndView modelAndView) throws Exception {
//
//    }
//
//    @Override
//    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex) throws Exception {
//
//    }
//}
