package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 
 * @TableName ts_sys_appidtoken
 */
@TableName(value ="ts_sys_appidtoken")
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "TsSysAppidtoken信息",description = "token信息表")
public class TsSysAppidtoken implements Serializable {

    @TableId(value = "appid")
    private String appid;

    @TableField(value = "pass")
    private String pass;

    @TableField(value = "tk")
    private String tk;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}