package com.cuit.solarenergy.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Tjb
 * @CreateTime: 2023-07-04  11:49
 * @Description: 多源遥感检测模块请求类
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "多源遥感检测模块请求类")
public class MultiRSReq extends UAVDetectionReq{

    @ApiModelProperty("卫星")
    private String satellite;
}
