package com.cuit.solarenergy.entity.vo.req;

import com.cuit.solarenergy.base.BasePageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Tjb
 * @CreateTime: 2023-07-06  10:38
 * @Description: 站点查询接口请求参数类
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "站点查询接口请求参数类")
public class SiteListGetVoReq extends BasePageQuery {
    @ApiModelProperty(value = "河流名称",required = false)
    private String streamName;

    @ApiModelProperty(value = "站点相对位置",required = false)
    private String relativeLocation;

    @ApiModelProperty(value = "关键词",required = false)
    private String keywords;
}
