package com.cuit.solarenergy.entity.vo.ret;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import static com.cuit.solarenergy.utils.DateUtil.DATE_FORMAT;

/**
 * @Author: Tjb
 * @CreateTime: 2023-08-07  10:06
 * @Description: 统计分析模块图表返回参数类
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ChartBaseInfoVoRet {

    private String chartName;

    private Double chartValue;

    @DateTimeFormat(pattern = DATE_FORMAT)
    private String chartTime;
}
