package com.cuit.solarenergy.entity.vo.ret;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: Tjb
 * @CreateTime: 2023-06-08  15:48
 * @Description: 通用返回实体类
 * @Version: 1.0
 */
@ApiModel(description = "通用返回实体类")
public class RetResult<T> {
    @ApiModelProperty("响应编码")
    public int code;
    @ApiModelProperty("响应消息")
    private String msg;
    @ApiModelProperty("响应数据列表")
    private T data;

    public RetResult<T> setCode(RetCode retCode) {
        this.code = retCode.code;
        return this;
    }

    public int getCode() {
        return code;
    }

    public RetResult<T> setCode(int code) {
        this.code = code;
        return this;
    }

    public String getMsg() {
        return msg;
    }

    public RetResult<T> setMsg(String msg) {
        this.msg = msg;
        return this;
    }

    public T getData() {
        return data;
    }

    public RetResult<T> setData(T data) {
        this.data = data;
        return this;
    }

}
