package com.cuit.solarenergy.entity.vo.ret;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Tjb
 * @CreateTime: 2023-08-06  16:32
 * @Description: 站点基本信息返回类
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "SiteBaseInfoVoRet对象",description = "站点基本信息返回类")
public class SiteBaseInfoVoRet {

    /**
     *
     * 站点编号
     */
    private String siteId;

    /**
     *
     * 站点经度
     */
    private String siteLon;

    /**
     *
     * 站点纬度
     */
    private String siteLat;

}
