package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.solarenergy.entity.GeoserverinfoBase;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author cuitg
* @description 针对表【t_geoserverinfo_base】的数据库操作Mapper
* @createDate 2024-08-27 14:45:16
* @Entity com.cuit.solarenergy.entity.GeoserverinfoBase
*/
@Mapper
public interface GeoserverinfoBaseMapper extends BaseMapper<GeoserverinfoBase> {
    List<GeoserverinfoBase> selectByStreamCodeDataCode(@Param("streamCode")String streamCode, @Param("dataCode")String dataCode);

}




