package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.solarenergy.vo.TDataOriginMethod;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author PYJ
* @description 针对表【t_data_origin_method(数据获取方式表)】的数据库操作Mapper
* @createDate 2023-06-19 14:50:54
* @Entity com.cuit.solarenergy.vo.TDataOriginMethod
*/
@Mapper
public interface TDataOriginMethodMapper extends BaseMapper<TDataOriginMethod> {

    /**
     *方法功能：查询所有的数据获取方式
     *
     * @param
     * @date 2023/6/24 19:23
     * @author Tjb
     * @return
     */

    List<TDataOriginMethod> getAllDataOriginal();
}




