package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.solarenergy.entity.UserRole;
import org.apache.ibatis.annotations.Mapper;

import java.util.ArrayList;

/**
* @author PYJ
* @description 针对表【sys_user_role(用户和角色对应关系表)】的数据库操作Mapper
* @createDate 2023-07-17 10:20:33
* @Entity com.cuit.solarenergy.entity.UserRole
*/
@Mapper
public interface UserRoleMapper extends BaseMapper<UserRole> {

    /**
     *方法功能：获取指定角色的权限（0：管理员，1：普通用户）
     *
     * @param roleId 0：管理员，1：普通用户
     * @date 2023/7/17 17:14
     * @author Tjb
     * @return
     */

    ArrayList<Long> getRoleList(int roleId);
}




