package com.cuit.solarenergy.minio;

/**
 * @author hpj
 * @Describe 文件操作枚举类
 */

public enum  FileOpeRetCode {

    //文件不存在
    FILE_NOT_EXIST(600),

    //文件上传失败
    FILE_UPLOAD_FAIL(700),

    //文件下载失败
    DOWNLOAD_FILE_EXCEPTION(800),

    //文件删除失败
    DELETE_FILE_EXCEPTION(850),

    //文件基础信息保存失败
    FILE_INFO_SAVE_FAIL(900),

    //文件基础信息删除失败
    FILE_INFO_DELETE_FAIL(950);

    public int code;

    FileOpeRetCode(int code) {
        this.code = code;
    }

    public int getCode(){
        return code;
    }

}
