package com.cuit.solarenergy.service;


import com.cuit.solarenergy.model.user.SysLogQuery;

import java.time.LocalDateTime;
import java.util.Map;

/**
 * @author wzw
 */
public interface SysLogService {
    /**
     * 按条件分页查询系统日志
     * @param sysLogQuery
     * @return
     */
    Map querySysLogByParams(SysLogQuery sysLogQuery);

    /**
     * 写模型日志
     * @param message
     * @param ip
     * @param modelStart
     * @param modelEnd
     * @return
     */
    Boolean writeModelLog(String message, String ip, LocalDateTime modelStart, LocalDateTime modelEnd);
}
