package com.cuit.solarenergy.service.impl;//package com.cuit.railway.service.impl;
//
//
//import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
//import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
//import com.cuit.solarenergy.base.BasePageQuery;
//import com.cuit.solarenergy.entity.LoginUser;
//import com.cuit.solarenergy.entity.SysUser;
//import com.cuit.solarenergy.entity.sys.AppidToKen;
//import com.cuit.solarenergy.entity.vo.ret.PageVo;
//import com.cuit.solarenergy.entity.vo.ret.SysUserVoRet;
//import com.cuit.solarenergy.mapper.SysUserMapper;
//import com.cuit.solarenergy.service.SysUserService;
//import com.cuit.solarenergy.utils.*;
//import com.cuit.solarenergy.vo.param.UserParam;
//import lombok.extern.slf4j.Slf4j;
//import org.apache.xmlbeans.impl.piccolo.util.DuplicateKeyException;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Service;
//import org.springframework.util.StringUtils;
//
//import javax.servlet.http.HttpServletRequest;
//import java.util.Calendar;
//import java.util.Date;
//
///**
// * 用户鉴权相关服务
// */
//@Slf4j
//@Service
//public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements SysUserService {
//
//    @Autowired
//    private SysUserMapper userMapper;
//    @Autowired
//    private RedisUtil redisUtil;
//    @Autowired
//    private Md5TokenGenerator tokenGenerator;
//
//    /**
//     * 获取app id的token
//     *
//     * @param appid
//     * @return
//     */
//    @Override
//    public String getAppIdToken(String appid) {
//        AppidToKen appidToKen = userMapper.getAppidToKen(appid);
//        if (appidToKen != null) {
//            String token = tokenGenerator.generate(appid, appidToKen.getTk());
//            try {
//                //存入redis
//                redisUtil.set(appid, token);
//                redisUtil.expire(appid, token, Constant.TOKEN_EXPIRE_TIME);
//                redisUtil.set(token, appid);
//                redisUtil.expire(token, appid, Constant.TOKEN_EXPIRE_TIME);
//                Long currentTime = System.currentTimeMillis();
//                redisUtil.set(token + appid, currentTime.toString());
//            } catch (Exception e) {
//                log.error("取token时Redis错误：" + e.getMessage());
//                throw new ErrorMessage("服务器故障！");
//            }
//            return token;
//        } else {
//            //应用不存在
//            throw new ErrorMessage("拒绝访问！");
//        }
//    }
//
//    /**
//     * 根据请求的token， 获取用户ID
//     *
//     * @param request
//     * @return
//     */
//    @Override
//    public int getUserIdByRequestToken(HttpServletRequest request) {
//        //获取鉴权的token
//        String token = request.getHeader("token");
//        return getUserIdByToken(token);
//    }
//
//    /**
//     * 根据账号和appid 获取token
//     *
//     * @param appid
//     * @param account
//     * @return
//     */
//    @Override
//    public String getAppIdToken(String appid, String account) {
//        AppidToKen appidToKen = userMapper.getAppidToKen(appid);
//        if (appidToKen != null) {
//            String token = tokenGenerator.generate(appid, account, appidToKen.getTk());
//            try {
//                //存入redis
//                redisUtil.set(appid, token);
//                redisUtil.expire(appid, token, Constant.TOKEN_EXPIRE_TIME);
//                redisUtil.set(token, appid);
//                redisUtil.expire(token, appid, Constant.TOKEN_EXPIRE_TIME);
//                redisUtil.set(token + "ACCOUNT", account);
//                redisUtil.expire(token + "ACCOUNT", account, Constant.TOKEN_EXPIRE_TIME);
//                Long currentTime = System.currentTimeMillis();
//                redisUtil.set(token + appid, currentTime.toString());
//                redisUtil.expire(token + appid, currentTime.toString(), Constant.TOKEN_EXPIRE_TIME);
//            } catch (Exception e) {
//                log.error("取token时Redis错误：" + e.getMessage());
//                throw new ErrorMessage("服务器故障！");
//            }
//            return token;
//        } else {
//            //应用不存在
//            throw new ErrorMessage("拒绝访问！");
//        }
//    }
//
//    @Override
//    public boolean CheckUserValidity(String account, String password, String loginIP) {
//        boolean ret = false;
//        //从数据库中读取
//        SysUser sysUser = userMapper.queryUserByAccount(account);
//        LoginUser loginUser = new LoginUser();
//        if (sysUser != null) {
//            MD5 md = new MD5();
//            //登录错误次数超过后
//            if (sysUser.getLogerrnum() > Constant.LOGINERRORMAXNUM) {
//                Date canLogindate = DateUtil.dateAdd(sysUser.getLocklogindate(), Calendar.SECOND, Constant.LOCKSYSTIME);
//                if (canLogindate.before(new Date())) {
//                    //超过了等待时间
//                    userMapper.clearLoginError(sysUser.getId());
//                    sysUser.setLogerrnum(0);
//                } else {
//                    log.info("用户" + sysUser.getLoginname() + "登录次数太多");
//                    throw new ErrorMessage("密码错误太多，系统已锁定，请" + DateUtil.formatDateMM(canLogindate) + ":00后再登录");
//                }
//            }
//            //临时
//            if (sysUser.getPassword().equals(md.encryption(password)) || sysUser.getPassword().equals(password)) {
//                if (sysUser.getFlag() == 0) {
//                    if (DateUtil.getDaysDifference(sysUser.getPasschangdate(), new Date()) < Constant.CHANGPASSWORDDAYS) {
//                        //清空错误次数
//                        userMapper.loginSuccess(sysUser.getId(), loginIP);
//                        ret = true;
//                    } else {
//                        throw new ErrorMessage("密码已超过有效期！请修改密码后再登录");
//                    }
//                } else {
//                    throw new ErrorMessage("用户已注销！");
//                }
//            } else {
//                //错误次数加1
//                userMapper.setLoginError(sysUser.getId());
//                throw new ErrorMessage("用户密码错误！");
//            }
//        } else {
//            //用户不存在
//            throw new ErrorMessage("用户不存在！");
//        }
//        return ret;
//    }
//
//
//
//
//    @Override
//    public boolean setUserPassword(String account, String password, String certainPassword) {
//        MD5 md = new MD5();
//        String pass = md.encryption(password);
//        int ret = userMapper.setUserPassword(account, pass);
//        return ret == 1;
//    }
//
//    @Override
//    public boolean deleteUser(String account) {
//        QueryWrapper<SysUser> queryWrapper = new QueryWrapper<>();
//        queryWrapper.eq("loginname", account);
//        int ret = userMapper.delete(queryWrapper);
//        return ret == 1;
//    }
//
//    @Override
//    public boolean addUser(UserParam user) {
//        //判断账户是否存在
//
//        AssertUtil.isTrue(userMapper.queryUserIdByAccount(user.getAccount()) != null, "用户名已存在，请重新输入");
//
//        SysUser sysUser = new SysUser();
//        sysUser.setLoginname(user.getAccount());
//        sysUser.setName(user.getName());
//        sysUser.setTel(user.getTel());
//        sysUser.setFlag(0);
//        sysUser.setLastip("");
//        sysUser.setLogerrnum(0);
//        MD5 md = new MD5();
//        String pass = md.encryption(user.getPassword());
//        sysUser.setPassword(pass);
//        int ret = 0;
//        try {
//            ret = userMapper.insert(sysUser);
//        } catch (Exception e) {
//            log.error("插入用户时出错！" + e.getMessage(), e);
//            throw new ErrorMessage("插入用户时出错！");
//        }
//        return (ret == 1);
//    }
//
//    @Override
//    public boolean isValidToken(String token) {
//        if (!StringUtils.isEmpty(token)) {
//            try {
//                String appid = "";
//                //根据token从Redis中去找有没有该用户Appid
//                appid = (String) redisUtil.get(token);
//
//                if (!StringUtils.isEmpty(appid)) {
//                    //表示token有效
//                    // log.debug("根据token查找到有效APPID {}", appid);
//                    Long tokeBirthTime = Long.valueOf((String) redisUtil.get(token + appid));
//                    String account = (String) redisUtil.get(token + "ACCOUNT");
//                    //log.debug("token产生的时间是: {}", tokeBirthTime);
//                    Long diff = System.currentTimeMillis() - tokeBirthTime;
//                    //log.debug("token已生成了: {} ms", diff);
//                    if (diff > Constant.TOKEN_RESET_TIME) {
//                        redisUtil.expire(appid, token, Constant.TOKEN_EXPIRE_TIME);
//                        redisUtil.expire(token, appid, Constant.TOKEN_EXPIRE_TIME);
//                        redisUtil.expire(token + "ACCOUNT", account, Constant.TOKEN_EXPIRE_TIME);
//                        log.debug("重置token时间成功！");
//                        Long newBirthTime = System.currentTimeMillis();
//                        redisUtil.set(token + appid, newBirthTime.toString());
//                    }
//                    return true;
//                } else {
//                    //表示token无效
//                    return false;
//                }
//            } catch (Exception e) {
//                throw new ErrorMessage("校验token时故障！");
//            }
//        } else {
//            return false;
//        }
//    }
//
//    @Override
//    public int getUserIdByToken(String token) {
//        int userid = -1;
//        if (!StringUtils.isEmpty(token)) {
//
//            String appid = "";
//            log.debug("user's token is:" + token);
//            //根据token从Redis中去找有没有该用户Appid
//            appid = (String) redisUtil.get(token);
//
//            if (!StringUtils.isEmpty(appid)) {
//                String account = (String) redisUtil.get(token + "ACCOUNT");
//                if (!StringUtils.isEmpty(account)) {
//                    userid = userMapper.queryUserIdByAccount(account);
//                } else {
//
//                    throw new ErrorMessage("token无效！");
//                }
//            } else {
//                throw new ErrorMessage("token无效！");
//            }
//
//        } else {
//            throw new ErrorMessage("token为空！");
//        }
//        return userid;
//    }
//
//    public boolean deleteAppidToken(String token) {
//        try {
//            String appid = (String) redisUtil.get(token);
//            log.debug("user's token is：" + token);
//            redisUtil.remove(token + "ACCOUNT");
//            redisUtil.remove(token);
//            redisUtil.remove(token + appid);
//            return true;
//        } catch (Exception e) {
//            throw new ErrorMessage("Redis服务器故障！");
//        }
//    }
//
//    @Override
//    public boolean loginOut(String token) {
//        boolean b = deleteAppidToken(token);
//        return b;
//    }
//
//    @Override
//    public boolean updatetPassword(String account, String oldPassword, String newPassword, String certainPassword) {
//        boolean ret2;
//        //密码校验,判断两次输入密码是否一致
//        AssertUtil.isTrue(!newPassword.equals(certainPassword), "两次输入密码不一致！");
//        // 判断长度,判断密码是否包含数字、字母（不区分大小写）、特殊字符
//        AssertUtil.isTrue(!PwdCheckUtil.checkPasswordLength(newPassword, "8", null)
//                        || !PwdCheckUtil.checkContainDigit(newPassword)
//                        || !PwdCheckUtil.checkContainUpperCase(newPassword)
//                        || !PwdCheckUtil.checkContainLowerCase(newPassword)
//                        // || !PwdCheckUtil.checkContainSpecialChar(newPassword)
//                , "密码位数至少为8位！并且包含数字、大写字母以及小写字母");
//        // 修改用户表密码
//        ret2 = editPasswd(account, oldPassword, newPassword, certainPassword);
//        return ret2;
//    }
//
//
//
//    /**
//     *方法功能：校验用户 返回用户类
//     *
//     * @param account
//     * @param password
//     * @param loginIP
//     * @date 2023/7/7 11:05
//     * @author Tjb
//     * @return
//     */
//
//    @Override
//    public LoginUser checkUser(String account, String password, String loginIP) {
//        LoginUser loginUser = new LoginUser();
//        if (CheckUserValidity(account, password, loginIP)) {
//            //从数据库中读取
//            SysUser sysUser = userMapper.queryUserByAccount(account);
//            log.info("sysUser：{}",sysUser);
//             String s = sysUser.getLoginname();
//            loginUser.setLoginname(sysUser.getLoginname());
//            loginUser.setName(sysUser.getName());
//            loginUser.setTel(sysUser.getTel());
//            return loginUser;
//        }else {
//            //用户不存在
//            throw new ErrorMessage("用户不存在！");
//        }
//    }
//
//    @Override
//    public PageVo<SysUserVoRet> selectUserList(BasePageQuery query) {
//        return null;
//    }
//
//
//    /**
//         * 修改用户表密码
//         *
//         * @param account         用户名
//         * @param oldPassword     旧密码
//         * @param newPassword     新密码
//         * @param certainPassword 确认密码
//         * @return boolean
//         */
//        private boolean editPasswd(String account, String oldPassword, String newPassword, String certainPassword) {
//            SysUser sysUser = userMapper.queryUserByAccount(account);
//            if (sysUser != null) {
//                MD5 md = new MD5();
//                if (sysUser.getPassword().equalsIgnoreCase(md.encryption(oldPassword)) || sysUser.getPassword().equals(oldPassword)) {
//                    return setUserPassword(account, newPassword, certainPassword);
//                } else {
//                    throw new ErrorMessage("旧密码错误！");
//                }
//
//            } else {
//                //用户不存在
//                throw new ErrorMessage("用户不存在！");
//            }
//        }
//}
