package com.cuit.solarenergy.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author: Tjb
 * @CreateTime: 2023-06-19  15:14
 * @Description: TODO
 * @Version: 1.0
 */
@ApiModel("站点基本信息类")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SiteBaseInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("监测点编号")
    private String stationNo;

    @ApiModelProperty("经度")
    private Double lon;

    @ApiModelProperty("纬度")
    private Double lat;

    @ApiModelProperty("施工点距离")
    private Double distance;

    @ApiModelProperty("方位")
    private String label;

    @ApiModelProperty("无人机正射影像")
    private String UAVImage;

    @ApiModelProperty("监测点图片")
    private String SitePictures;

    @ApiModelProperty("监测点视频")
    private String SiteVideos;

}
