package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 数据获取方式表
 * @TableName t_data_origin_method
 */
@TableName(value ="t_data_origin_method")
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "TDataOriginMethod对象",description = "数据获取方式表")
public class TDataOriginMethod implements Serializable {

    @ApiModelProperty("数据获取方式(大类)")
    @TableField(value = "type")
    private String type;

    @ApiModelProperty("数据获取方式(大类代码)")
    @TableField(value = "typecode")
    private String typecode;

    @ApiModelProperty("数据来源")
    @TableField(value = "dataoriginal")
    private String dataoriginal;

    @ApiModelProperty("数据来源代码")
    @TableField(value = "datacode")
    private String datacode;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}