package com.cuit.solarenergy.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: LLW
 * @CreateTime: 2023-07-12  19:34
 * @Description: 数据管理模块删除接口请求参数类
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "数据管理模块删除接口请求参数类")
public class DataManagedeleteVoReq {

    @ApiModelProperty(value = "查询该条记录时返回的ids字符串")
    private String ids;
}
