package com.cuit.solarenergy.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @BelongsProject: railway
 * @BelongsPackage: com.cuit.solarenergy.entity.vo.req
 * @Author: Luolw
 * @Date: 2023/8/5 14:57
 * @Description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "根据站点、水质参数获取曲线参数类")
public class StatisticQueryVoReq {
    @ApiModelProperty(value = "站点列表")
    private List<String> siteIdList;
    @ApiModelProperty(value = "参数列表")
    private List<String> paramsList;
}
