package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.solarenergy.entity.Geoserverinfo;
import com.cuit.solarenergy.entity.vo.ret.MonitorGeoURLAndBboxVoRet;
import org.apache.ibatis.annotations.Mapper;

import java.util.LinkedList;

/**
* @author cuitg
* @description 针对表【t_geoserverinfo】的数据库操作Mapper
* @createDate 2023-07-25 16:21:45
* @Entity com.cuit.solarenergy.entity.Geoserverinfo
*/
@Mapper
public interface GeoserverinfoMapper extends BaseMapper<Geoserverinfo> {

    /**
     *
     * 返回图层URL和bbox
     */
    LinkedList<MonitorGeoURLAndBboxVoRet> getGeoserverIdAndBbox(String uavOrSat, String band, String nameCode);
}




