package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.solarenergy.entity.SatelliteInvData;
import com.cuit.solarenergy.entity.vo.ret.MonthAndCountVoRet;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author cuitg
* @description 针对表【t_satellite_inv_data(卫星遥感反演数据集)】的数据库操作Mapper
* @createDate 2023-08-07 13:20:30
* @Entity com.cuit.solarenergy.entity.SatelliteInvData
*/
@Mapper
public interface SatelliteInvDataMapper extends BaseMapper<SatelliteInvData> {

    List<MonthAndCountVoRet> getCountOfSAT(String streamName);
}




