package com.cuit.solarenergy.model.user;

import com.baomidou.mybatisplus.annotation.TableField;
import com.cuit.solarenergy.base.BasePageQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author wzw
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SysLogQuery extends BasePageQuery {

    @ApiModelProperty("开始时间")
    private LocalDateTime stTime;

    @ApiModelProperty("开始时间")
    private LocalDateTime endTime;

    @ApiModelProperty("访问账户")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty("访问ip")
    private String ip;

    @ApiModelProperty("模块类型")
    private String module;

    @ApiModelProperty("操作类型  0-增 1-删 2-改 3-查 4-审核")
    @TableField("op_type")
    private Integer opType;
}